# forked from https://build.opensuse.org/package/view_file/openSUSE:Factory/gnome-passwordsafe/gnome-passwordsafe.spec
# spec file for package gnome-passwordsafe
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

%global appname PasswordSafe
%global sysname passwordsafe
%global uuid    org.gnome.%{appname}

Name:           gnome-%{sysname}
Version:        3.32.0
Release:        2%{?dist}
Summary:        Password manager for GNOME

License:        GPLv3
URL:            https://gitlab.gnome.org/World/PasswordSafe
Source0:        %{url}/-/archive/%{version}/%{appname}-%{version}.tar.bz2
BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  libhandy-devel
BuildRequires:  meson >= 0.50.0
BuildRequires:  python3-devel
BuildRequires:  python3dist(pykeepass)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 1.35.9
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.20
BuildRequires:  pkgconfig(pwquality)
Requires:       hicolor-icon-theme
Requires:       python3dist(pykeepass)

%description
Password Safe is a password manager which makes use of the KeePass v.4 format.
It integrates perfectly with the GNOME desktop and provides an easy and
uncluttered interface for the management of password databases.


%prep
%autosetup -p1 -n %{appname}-%{version}


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{sysname}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{uuid}.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/%{uuid}.desktop


%files -f %{sysname}.lang
%license LICENSE
%doc README.md
%{_bindir}/gnome-%{sysname}
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/*/*.svg
%{_datadir}/%{sysname}
%{_metainfodir}/*.xml
%{python3_sitelib}/%{sysname}


%changelog
* Wed Sep 25 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 3.32.0-2
- Packaging fixes

* Fri Jun 14 2019 Pavlo Rudyi <paulcarroty@fedoraproject.org> - 3.32-1
- initial build